v1
Get Agent Well Known
Get current agent discovery information with proper validation and error handling.
GET
/
v1
/
agents
/
{agent_id}
/
a2a
/
well-known
Get Agent Well Known
curl --request GET \
--url https://api.example.com/v1/agents/{agent_id}/a2a/well-known \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/agents/{agent_id}/a2a/well-known"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/agents/{agent_id}/a2a/well-known', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capabilities": {
"extendedAgentCard": false,
"extensions": [
{}
],
"pushNotifications": false,
"streaming": false
},
"name": "<string>",
"skills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"examples": [
"<string>"
],
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"securityRequirements": [
{}
],
"tags": [
"<string>"
]
}
],
"supportedInterfaces": [
{
"url": "<string>",
"protocolBinding": "JSONRPC",
"protocolVersion": "1.0",
"tenant": "<string>"
}
],
"authentication": {
"schemes": [
"<string>"
],
"credentials": "<string>"
},
"defaultInputModes": [
"text/plain",
"application/json"
],
"defaultOutputModes": [
"text/plain",
"application/json"
],
"description": "<string>",
"documentationUrl": "<string>",
"provider": {
"organization": "<string>",
"url": "<string>"
},
"security": [
{}
],
"securitySchemes": {},
"version": "1.0.0"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get Agent Well Known
